Changeset 1267


Ignore:
Timestamp:
Apr 22, 2009 8:03:27 PM (11 years ago)
Author:
andreasw
Message:

added support for Metis

Location:
ThirdParty/Mumps/trunk
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/trunk/Makefile.am

    r1251 r1267  
    8585DEFS =
    8686CFLAGS += $(MY_DEFS)
     87FFLAGS += $(MY_FDEFS)
    8788
    8889########################################################################
  • ThirdParty/Mumps/trunk/Makefile.in

    r1251 r1267  
    142142COIN_HAS_BLAS_FALSE = @COIN_HAS_BLAS_FALSE@
    143143COIN_HAS_BLAS_TRUE = @COIN_HAS_BLAS_TRUE@
     144COIN_HAS_METIS_FALSE = @COIN_HAS_METIS_FALSE@
     145COIN_HAS_METIS_TRUE = @COIN_HAS_METIS_TRUE@
    144146COIN_HAS_MUMPS_FALSE = @COIN_HAS_MUMPS_FALSE@
    145147COIN_HAS_MUMPS_TRUE = @COIN_HAS_MUMPS_TRUE@
     
    165167F77 = @F77@
    166168FADDLIBS = @FADDLIBS@
    167 FFLAGS = @FFLAGS@
     169FFLAGS = @FFLAGS@ $(MY_FDEFS)
    168170FLIBS = @FLIBS@
    169171HAVE_EXTERNALS_FALSE = @HAVE_EXTERNALS_FALSE@
     
    194196MUMPS_INCFLAGS = @MUMPS_INCFLAGS@
    195197MY_DEFS = @MY_DEFS@
     198MY_FDEFS = @MY_FDEFS@
    196199OBJEXT = @OBJEXT@
    197200OPT_CFLAGS = @OPT_CFLAGS@
  • ThirdParty/Mumps/trunk/configure

    r1251 r1267  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS CPP EGREP MY_DEFS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_BUILD_BLAS_TRUE COIN_BUILD_BLAS_FALSE MUMPSINCDIR MUMPSLIB COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE MUMPS_INCFLAGS COIN_BUILD_MUMPS_TRUE COIN_BUILD_MUMPS_FALSE MAKEOKFILE SKIPMAKE_TRUE SKIPMAKE_FALSE MUMPSDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS CPP EGREP MY_DEFS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_BUILD_BLAS_TRUE COIN_BUILD_BLAS_FALSE COIN_HAS_METIS_TRUE COIN_HAS_METIS_FALSE MUMPSINCDIR MUMPSLIB COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE MUMPS_INCFLAGS COIN_BUILD_MUMPS_TRUE COIN_BUILD_MUMPS_FALSE MAKEOKFILE SKIPMAKE_TRUE SKIPMAKE_FALSE MUMPSDIR MY_FDEFS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11031103                          include additional configurations [automatic]
    11041104  --with-blas             specify BLAS library (or BUILD for compilation)
     1105  --with-metis            specify flags to link with METIS library
    11051106  --with-mumps-incdir specify the header file directory for library mumps
    11061107  --with-mumps-lib specify the flags used to link with the library mumps
     
    32923293
    32933294# Provide some information about the compiler.
    3294 echo "$as_me:3294:" \
     3295echo "$as_me:3295:" \
    32953296     "checking for Fortran 77 compiler version" >&5
    32963297ac_compiler=`set X $ac_compile; echo $2`
     
    38603861ac_save_FFLAGS=$FFLAGS
    38613862FFLAGS="$FFLAGS $ac_verb"
    3862 (eval echo $as_me:3862: \"$ac_link\") >&5
     3863(eval echo $as_me:3863: \"$ac_link\") >&5
    38633864ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    38643865echo "$ac_f77_v_output" >&5
     
    39383939ac_save_FFLAGS=$FFLAGS
    39393940FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    3940 (eval echo $as_me:3940: \"$ac_link\") >&5
     3941(eval echo $as_me:3941: \"$ac_link\") >&5
    39413942ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39423943echo "$ac_f77_v_output" >&5
     
    53735374MY_DEFS="$MY_DEFS -DALLOW_NON_INIT -DMUMPS_ARITH=MUMPS_ARITH_d"
    53745375
    5375 
    5376 echo "$as_me:$LINENO: checking for additional preprocessor C flags" >&5
    5377 echo $ECHO_N "checking for additional preprocessor C flags... $ECHO_C" >&6
    5378 echo "$as_me:$LINENO: result: $MY_DEFS" >&5
    5379 echo "${ECHO_T}$MY_DEFS" >&6
    53805376
    53815377# Initialize automake
     
    69976993*-*-irix6*)
    69986994  # Find out which ABI we are using.
    6999   echo '#line 6999 "configure"' > conftest.$ac_ext
     6995  echo '#line 6995 "configure"' > conftest.$ac_ext
    70006996  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    70016997  (eval $ac_compile) 2>&5
     
    89938989   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    89948990   -e 's:$: $lt_compiler_flag:'`
    8995    (eval echo "\"\$as_me:8995: $lt_compile\"" >&5)
     8991   (eval echo "\"\$as_me:8991: $lt_compile\"" >&5)
    89968992   (eval "$lt_compile" 2>conftest.err)
    89978993   ac_status=$?
    89988994   cat conftest.err >&5
    8999    echo "$as_me:8999: \$? = $ac_status" >&5
     8995   echo "$as_me:8995: \$? = $ac_status" >&5
    90008996   if (exit $ac_status) && test -s "$ac_outfile"; then
    90018997     # The compiler can only warn and ignore the option if not recognized
     
    92619257   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    92629258   -e 's:$: $lt_compiler_flag:'`
    9263    (eval echo "\"\$as_me:9263: $lt_compile\"" >&5)
     9259   (eval echo "\"\$as_me:9259: $lt_compile\"" >&5)
    92649260   (eval "$lt_compile" 2>conftest.err)
    92659261   ac_status=$?
    92669262   cat conftest.err >&5
    9267    echo "$as_me:9267: \$? = $ac_status" >&5
     9263   echo "$as_me:9263: \$? = $ac_status" >&5
    92689264   if (exit $ac_status) && test -s "$ac_outfile"; then
    92699265     # The compiler can only warn and ignore the option if not recognized
     
    93659361   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93669362   -e 's:$: $lt_compiler_flag:'`
    9367    (eval echo "\"\$as_me:9367: $lt_compile\"" >&5)
     9363   (eval echo "\"\$as_me:9363: $lt_compile\"" >&5)
    93689364   (eval "$lt_compile" 2>out/conftest.err)
    93699365   ac_status=$?
    93709366   cat out/conftest.err >&5
    9371    echo "$as_me:9371: \$? = $ac_status" >&5
     9367   echo "$as_me:9367: \$? = $ac_status" >&5
    93729368   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    93739369   then
     
    1178211778  lt_status=$lt_dlunknown
    1178311779  cat > conftest.$ac_ext <<EOF
    11784 #line 11784 "configure"
     11780#line 11780 "configure"
    1178511781#include "confdefs.h"
    1178611782
     
    1188211878  lt_status=$lt_dlunknown
    1188311879  cat > conftest.$ac_ext <<EOF
    11884 #line 11884 "configure"
     11880#line 11880 "configure"
    1188511881#include "confdefs.h"
    1188611882
     
    1424214238   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1424314239   -e 's:$: $lt_compiler_flag:'`
    14244    (eval echo "\"\$as_me:14244: $lt_compile\"" >&5)
     14240   (eval echo "\"\$as_me:14240: $lt_compile\"" >&5)
    1424514241   (eval "$lt_compile" 2>conftest.err)
    1424614242   ac_status=$?
    1424714243   cat conftest.err >&5
    14248    echo "$as_me:14248: \$? = $ac_status" >&5
     14244   echo "$as_me:14244: \$? = $ac_status" >&5
    1424914245   if (exit $ac_status) && test -s "$ac_outfile"; then
    1425014246     # The compiler can only warn and ignore the option if not recognized
     
    1434614342   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1434714343   -e 's:$: $lt_compiler_flag:'`
    14348    (eval echo "\"\$as_me:14348: $lt_compile\"" >&5)
     14344   (eval echo "\"\$as_me:14344: $lt_compile\"" >&5)
    1434914345   (eval "$lt_compile" 2>out/conftest.err)
    1435014346   ac_status=$?
    1435114347   cat out/conftest.err >&5
    14352    echo "$as_me:14352: \$? = $ac_status" >&5
     14348   echo "$as_me:14348: \$? = $ac_status" >&5
    1435314349   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1435414350   then
     
    1591615912   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1591715913   -e 's:$: $lt_compiler_flag:'`
    15918    (eval echo "\"\$as_me:15918: $lt_compile\"" >&5)
     15914   (eval echo "\"\$as_me:15914: $lt_compile\"" >&5)
    1591915915   (eval "$lt_compile" 2>conftest.err)
    1592015916   ac_status=$?
    1592115917   cat conftest.err >&5
    15922    echo "$as_me:15922: \$? = $ac_status" >&5
     15918   echo "$as_me:15918: \$? = $ac_status" >&5
    1592315919   if (exit $ac_status) && test -s "$ac_outfile"; then
    1592415920     # The compiler can only warn and ignore the option if not recognized
     
    1602016016   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1602116017   -e 's:$: $lt_compiler_flag:'`
    16022    (eval echo "\"\$as_me:16022: $lt_compile\"" >&5)
     16018   (eval echo "\"\$as_me:16018: $lt_compile\"" >&5)
    1602316019   (eval "$lt_compile" 2>out/conftest.err)
    1602416020   ac_status=$?
    1602516021   cat out/conftest.err >&5
    16026    echo "$as_me:16026: \$? = $ac_status" >&5
     16022   echo "$as_me:16022: \$? = $ac_status" >&5
    1602716023   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1602816024   then
     
    1822718223   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1822818224   -e 's:$: $lt_compiler_flag:'`
    18229    (eval echo "\"\$as_me:18229: $lt_compile\"" >&5)
     18225   (eval echo "\"\$as_me:18225: $lt_compile\"" >&5)
    1823018226   (eval "$lt_compile" 2>conftest.err)
    1823118227   ac_status=$?
    1823218228   cat conftest.err >&5
    18233    echo "$as_me:18233: \$? = $ac_status" >&5
     18229   echo "$as_me:18229: \$? = $ac_status" >&5
    1823418230   if (exit $ac_status) && test -s "$ac_outfile"; then
    1823518231     # The compiler can only warn and ignore the option if not recognized
     
    1849518491   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1849618492   -e 's:$: $lt_compiler_flag:'`
    18497    (eval echo "\"\$as_me:18497: $lt_compile\"" >&5)
     18493   (eval echo "\"\$as_me:18493: $lt_compile\"" >&5)
    1849818494   (eval "$lt_compile" 2>conftest.err)
    1849918495   ac_status=$?
    1850018496   cat conftest.err >&5
    18501    echo "$as_me:18501: \$? = $ac_status" >&5
     18497   echo "$as_me:18497: \$? = $ac_status" >&5
    1850218498   if (exit $ac_status) && test -s "$ac_outfile"; then
    1850318499     # The compiler can only warn and ignore the option if not recognized
     
    1859918595   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1860018596   -e 's:$: $lt_compiler_flag:'`
    18601    (eval echo "\"\$as_me:18601: $lt_compile\"" >&5)
     18597   (eval echo "\"\$as_me:18597: $lt_compile\"" >&5)
    1860218598   (eval "$lt_compile" 2>out/conftest.err)
    1860318599   ac_status=$?
    1860418600   cat out/conftest.err >&5
    18605    echo "$as_me:18605: \$? = $ac_status" >&5
     18601   echo "$as_me:18601: \$? = $ac_status" >&5
    1860618602   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1860718603   then
     
    2351923515
    2352023516
     23517# Check if Metis is available
     23518
     23519case "$PACKAGE_NAME" in
     23520  ThirdParty*)
     23521    coin_metisobjdir=../Metis
     23522    ;;
     23523  *)
     23524    coin_metisobjdir=../ThirdParty/Metis
     23525    ;;
     23526esac
     23527
     23528MAKEOKFILE=.MakeOk
     23529
     23530#check if user provides a METIS library (that works)
     23531ac_ext=c
     23532ac_cpp='$CPP $CPPFLAGS'
     23533ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     23534ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     23535ac_compiler_gnu=$ac_cv_c_compiler_gnu
     23536
     23537
     23538# Check whether --with-metis or --without-metis was given.
     23539if test "${with_metis+set}" = set; then
     23540  withval="$with_metis"
     23541  METISLIB="$withval"; coin_has_metis=true
     23542else
     23543  coin_has_metis=no
     23544fi;
     23545
     23546if test $coin_has_metis = true; then
     23547  coin_save_LIBS="$LIBS"
     23548  LIBS="$METISLIB $ADDLIBS"
     23549  echo "$as_me:$LINENO: checking whether symbol metis_nodend is available with " >&5
     23550echo $ECHO_N "checking whether symbol metis_nodend is available with ... $ECHO_C" >&6
     23551  cat >conftest.$ac_ext <<_ACEOF
     23552/* confdefs.h.  */
     23553_ACEOF
     23554cat confdefs.h >>conftest.$ac_ext
     23555cat >>conftest.$ac_ext <<_ACEOF
     23556/* end confdefs.h.  */
     23557
     23558#ifdef F77_DUMMY_MAIN
     23559
     23560#  ifdef __cplusplus
     23561     extern "C"
     23562#  endif
     23563   int F77_DUMMY_MAIN() { return 1; }
     23564
     23565#endif
     23566int
     23567main ()
     23568{
     23569metis_nodend()
     23570  ;
     23571  return 0;
     23572}
     23573_ACEOF
     23574rm -f conftest.$ac_objext conftest$ac_exeext
     23575if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     23576  (eval $ac_link) 2>conftest.er1
     23577  ac_status=$?
     23578  grep -v '^ *+' conftest.er1 >conftest.err
     23579  rm -f conftest.er1
     23580  cat conftest.err >&5
     23581  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23582  (exit $ac_status); } &&
     23583         { ac_try='test -z "$ac_c_werror_flag"
     23584                         || test ! -s conftest.err'
     23585  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23586  (eval $ac_try) 2>&5
     23587  ac_status=$?
     23588  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23589  (exit $ac_status); }; } &&
     23590         { ac_try='test -s conftest$ac_exeext'
     23591  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23592  (eval $ac_try) 2>&5
     23593  ac_status=$?
     23594  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23595  (exit $ac_status); }; }; then
     23596  echo "$as_me:$LINENO: result: yes" >&5
     23597echo "${ECHO_T}yes" >&6
     23598else
     23599  echo "$as_me: failed program was:" >&5
     23600sed 's/^/| /' conftest.$ac_ext >&5
     23601
     23602echo "$as_me:$LINENO: result: no" >&5
     23603echo "${ECHO_T}no" >&6
     23604      { { echo "$as_me:$LINENO: error: User-supplied METIS library does not work" >&5
     23605echo "$as_me: error: User-supplied METIS library does not work" >&2;}
     23606   { (exit 1); exit 1; }; }
     23607fi
     23608rm -f conftest.err conftest.$ac_objext \
     23609      conftest$ac_exeext conftest.$ac_ext
     23610  LIBS="$coin_save_LIBS"
     23611fi
     23612ac_ext=c
     23613ac_cpp='$CPP $CPPFLAGS'
     23614ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     23615ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     23616ac_compiler_gnu=$ac_cv_c_compiler_gnu
     23617
     23618
     23619if test "$coin_has_metis" = "true"; then  # user provided metis library
     23620  use_metis=yes
     23621  coin_has_metis=yes
     23622
     23623  ADDLIBS="$METISLIB $ADDLIBS"
     23624
     23625else # no user provided library, so we try to build our own
     23626  use_metis=BUILD
     23627
     23628  # Check if the METIS' ThirdParty project has been configured
     23629  if test "$PACKAGE_NAME" != ThirdPartyMetis; then
     23630    if test -r $coin_metisobjdir/.MakeOk; then
     23631      use_metis=BUILD
     23632    else
     23633      use_metis=
     23634    fi
     23635  fi
     23636
     23637  if test x"$use_metis" != x; then
     23638    coin_has_metis=yes
     23639  else
     23640    coin_has_metis=no
     23641  fi
     23642  echo "$as_me:$LINENO: checking whether METIS is available" >&5
     23643echo $ECHO_N "checking whether METIS is available... $ECHO_C" >&6
     23644  echo "$as_me:$LINENO: result: $coin_has_metis" >&5
     23645echo "${ECHO_T}$coin_has_metis" >&6
     23646fi
     23647
     23648
     23649
     23650if test $coin_has_metis = yes; then
     23651  COIN_HAS_METIS_TRUE=
     23652  COIN_HAS_METIS_FALSE='#'
     23653else
     23654  COIN_HAS_METIS_TRUE='#'
     23655  COIN_HAS_METIS_FALSE=
     23656fi
     23657
     23658if test $coin_has_metis = yes; then
     23659
     23660cat >>confdefs.h <<\_ACEOF
     23661#define COIN_HAS_METIS 1
     23662_ACEOF
     23663
     23664fi
     23665
     23666
     23667if test "$coin_has_metis" = yes; then
     23668  MY_DEFS="$MY_DEFS -Dmetis"
     23669  MY_FDEFS="$MY_FDEFS -Dmetis"
     23670fi
     23671
    2352123672## Check if Mumps is already provided by user
    2352223673
     
    2398024131MUMPSDIR=MUMPS
    2398124132
     24133
     24134# Fix Fortran preprocessor flags
     24135case $F77 in
     24136  *xlf*)
     24137    fdefs=
     24138    for flag in "$MY_FDEFS"; do
     24139      fdefs="$fdefs -WF,$flag"
     24140    done
     24141    MY_FDEFS="$fdefs"
     24142    ;;
     24143esac
     24144
     24145
     24146echo "$as_me:$LINENO: checking for additional preprocessor C flags" >&5
     24147echo $ECHO_N "checking for additional preprocessor C flags... $ECHO_C" >&6
     24148echo "$as_me:$LINENO: result: $MY_DEFS" >&5
     24149echo "${ECHO_T}$MY_DEFS" >&6
     24150echo "$as_me:$LINENO: checking for additional preprocessor Fortran flags" >&5
     24151echo $ECHO_N "checking for additional preprocessor Fortran flags... $ECHO_C" >&6
     24152echo "$as_me:$LINENO: result: $MY_FDEFS" >&5
     24153echo "${ECHO_T}$MY_FDEFS" >&6
    2398224154
    2398324155          ac_config_files="$ac_config_files Makefile"
     
    2421624388Usually this means the macro was only invoked conditionally." >&5
    2421724389echo "$as_me: error: conditional \"COIN_BUILD_BLAS\" was never defined.
     24390Usually this means the macro was only invoked conditionally." >&2;}
     24391   { (exit 1); exit 1; }; }
     24392fi
     24393if test -z "${COIN_HAS_METIS_TRUE}" && test -z "${COIN_HAS_METIS_FALSE}"; then
     24394  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_METIS\" was never defined.
     24395Usually this means the macro was only invoked conditionally." >&5
     24396echo "$as_me: error: conditional \"COIN_HAS_METIS\" was never defined.
    2421824397Usually this means the macro was only invoked conditionally." >&2;}
    2421924398   { (exit 1); exit 1; }; }
     
    2487625055s,@COIN_BUILD_BLAS_TRUE@,$COIN_BUILD_BLAS_TRUE,;t t
    2487725056s,@COIN_BUILD_BLAS_FALSE@,$COIN_BUILD_BLAS_FALSE,;t t
     25057s,@COIN_HAS_METIS_TRUE@,$COIN_HAS_METIS_TRUE,;t t
     25058s,@COIN_HAS_METIS_FALSE@,$COIN_HAS_METIS_FALSE,;t t
    2487825059s,@MUMPSINCDIR@,$MUMPSINCDIR,;t t
    2487925060s,@MUMPSLIB@,$MUMPSLIB,;t t
     
    2488725068s,@SKIPMAKE_FALSE@,$SKIPMAKE_FALSE,;t t
    2488825069s,@MUMPSDIR@,$MUMPSDIR,;t t
     25070s,@MY_FDEFS@,$MY_FDEFS,;t t
    2488925071s,@LIBEXT@,$LIBEXT,;t t
    2489025072s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
  • ThirdParty/Mumps/trunk/configure.ac

    r1251 r1267  
    9090AC_SUBST(MY_DEFS)
    9191
    92 AC_MSG_CHECKING([for additional preprocessor C flags])
    93 AC_MSG_RESULT([$MY_DEFS])
    94 
    9592# Initialize automake
    9693AC_COIN_INIT_AUTO_TOOLS
     
    9895# Check for user-provided BLAS library
    9996AC_COIN_HAS_BLAS
     97
     98# Check if Metis is available
     99AC_COIN_HAS_METIS
     100if test "$coin_has_metis" = yes; then
     101  MY_DEFS="$MY_DEFS -Dmetis"
     102  MY_FDEFS="$MY_FDEFS -Dmetis"
     103fi
    100104
    101105## Check if Mumps is already provided by user
     
    130134AC_SUBST(MUMPSDIR)
    131135
     136# Fix Fortran preprocessor flags
     137case $F77 in
     138  *xlf*)
     139    fdefs=
     140    for flag in "$MY_FDEFS"; do
     141      fdefs="$fdefs -WF,$flag"
     142    done
     143    MY_FDEFS="$fdefs"
     144    ;;
     145esac
     146AC_SUBST(MY_FDEFS)
     147
     148AC_MSG_CHECKING([for additional preprocessor C flags])
     149AC_MSG_RESULT([$MY_DEFS])
     150AC_MSG_CHECKING([for additional preprocessor Fortran flags])
     151AC_MSG_RESULT([$MY_FDEFS])
     152
    132153AC_CONFIG_FILES([Makefile])
    133154
Note: See TracChangeset for help on using the changeset viewer.